<?php

use App\Page;
use Illuminate\Database\Seeder;

class PageSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        Page::create( $this->dmca() );
        Page::create( $this->privacyPolicy() );
        Page::create( $this->termCondition() );
    }

    private function dmca()
    {
        $nameSite = 'This Site';
        $title = 'DMCA';
        $content = "<p class=\"text-muted\"><b>{$nameSite}</b> is an online service provider as defined in the Digital Millennium Copyright Act. We do not provide users the ability to self-publish on <i>{$nameSite}</i> for the purpose of preventing unauthorized uploading of content which may infringe on 3rd parties intellectual property rights. &nbsp;All videos embedded on <i>{$nameSite}</i> are owned by Youtube and they are the respective owners of said content.&nbsp;</p>

        <p class=\"text-muted\">We take copyright violation very seriously and will vigorously protect the rights of legal copyright owners. If you are the copyright owner of content which appears on the Watch This Free website and you did not authorize the use of the content you must notify us in writing in order for us to identify the allegedly infringing content and take action.</p>

        <p class=\"text-muted\">In order to facilitate the process, we have provided an online form for your use. We will be unable to take any action if you do not provide us with the required information, so please fill out all fields accurately and completely. Alternatively, you may make a written notice via e-mail, facsimile or postal mail to our DMCA Agent as listed below. Your written notice must include the following: Specific identification of the copyrighted work which you are alleging to have been infringed. If you are alleging infringement of multiple copyrighted works with a single notification you must submit a representative list which specifically identifies each of the works that you allege are being infringed. Specific identification of the location and description of the material that is claimed to be infringing or to be the subject of infringing activity with enough detailed information to permit us to locate the material. You should include the specific URL or URLs of the web pages where the allegedly infringing material is located. Information reasonably sufficient to allow us to contact the complaining party which may include a name, address, telephone number and electronic mail address at which the complaining party may be contacted. A statement that the complaining party has a good faith belief that use of the material in the manner complained of is not authorized by the copyright owner, its agent or the law. A statement that the information in the notification is accurate, and under penalty of perjury that the complaining party is authorized to act on behalf of the owner of an exclusive right that is allegedly infringed.</p>

        <p class=\"text-muted\">Please also note that under applicable law, 17 U.S.C. 512 (f), any person who knowingly materially misrepresents that material or activity is infringing may be subject to liability.</p>";

        return compact('title', 'content');
    }

    private function privacyPolicy()
    {
        $title = 'Privacy Policy';
        $content = "<p class=\"text-muted\">This privacy policy has been compiled to better serve those who are concerned with how their 'Personally
        Identifiable Information' (PII) is being used online. PII, as described in US privacy law and information
        security, is information that can be used on its own or with other information to identify, contact, or locate a
        single person, or to identify an individual in context. Please read our privacy policy carefully to get a clear
        understanding of how we collect, use, protect or otherwise handle your Personally Identifiable Information in
        accordance with our website.</p>
        <h4>What personal information do we collect from the people that visit our blog, website or app?</h4>
        <p class=\"text-muted\">We do not collect information from visitors of our site.</p>
        <p class=\"text-muted\">or other details to help you with your experience.</p>
        <h4>When do we collect information?</h4>
        <p class=\"text-muted\">We collect information from you when you register on our site or enter information on our site.</p>
        <h4>How do we use your information?</h4>
        <p class=\"text-muted\">We may use the information we collect from you when you register, make a purchase, sign up for our newsletter,
            respond to a survey or marketing communication, surf the website, or use certain other site features in the
            following ways:</p>
        <p class=\"text-muted\"><strong>•</strong>&nbsp;To personalize your experience and to allow us to deliver the type of content and product
            offerings in which you are most interested.</p>
        <h4>How do we protect your information?</h4>
        <p class=\"text-muted\">We do not use vulnerability scanning and/or scanning to PCI standards.</p>
        <p class=\"text-muted\">We only provide articles and information. We never ask for credit card numbers.</p>
        <p class=\"text-muted\">We do not use Malware Scanning.</p>
        <p class=\"text-muted\">We do not use an SSL certificate</p>
        <p class=\"text-muted\"><strong>•</strong>&nbsp;We only provide articles and information. We never ask for personal or private
            information like names, email addresses, or credit card numbers.</p>
        <h4>Do we use 'cookies'?</h4>
        <p class=\"text-muted\">Yes. Cookies are small files that a site or its service provider transfers to your computer's hard drive through
            your Web browser (if you allow) that enables the site's or service provider's systems to recognize your browser
            and capture and remember certain information. For instance, we use cookies to help us remember and process the
            items in your shopping cart. They are also used to help us understand your preferences based on previous or
            current site activity, which enables us to provide you with improved services. We also use cookies to help us
            compile aggregate data about site traffic and site interaction so that we can offer better site experiences and
            tools in the future.</p>
        <h4>We use cookies to:</h4>
        <p class=\"text-muted\"><strong>•</strong>&nbsp;Keep track of advertisements.</p>
        <p class=\"text-muted\">You can choose to have your computer warn you each time a cookie is being sent, or you can choose to turn off all
            cookies. You do this through your browser settings. Since browser is a little different, look at your browser's
            Help Menu to learn the correct way to modify your cookies.</p>
        <p class=\"text-muted\">If you turn cookies off, some features will be disabled. It won't affect the user's experience that make your
            site experience more efficient and may not function properly.</p>
        <p class=\"text-muted\">However, you will still be able to place orders .</p>
        <h4>Third-party disclosure</h4>
        <p class=\"text-muted\">We do not sell, trade, or otherwise transfer to outside parties your Personally Identifiable Information unless
            we provide users with advance notice. This does not include website hosting partners and other parties who
            assist us in operating our website, conducting our business, or serving our users, so long as those parties
            agree to keep this information confidential. We may also release information when it's release is appropriate to
            comply with the law, enforce our site policies, or protect ours or others' rights, property or safety.</p>
        <p class=\"text-muted\">However, non-personally identifiable visitor information may be provided to other parties for marketing,
            advertising, or other uses.</p>
        <h4>Third-party links</h4>
        <p class=\"text-muted\">Occasionally, at our discretion, we may include or offer third-party products or services on our website. These
            third-party sites have separate and independent privacy policies. We therefore have no responsibility or
            liability for the content and activities of these linked sites. Nonetheless, we seek to protect the integrity of
            our site and welcome any feedback about these sites.</p>
        <h4>Google</h4>
        <p class=\"text-muted\">Google's advertising requirements can be summed up by Google's Advertising Principles. They are put in place to
            provide a positive experience for users. <a href=\"https://support.google.com/adwordspolicy/answer/1316548?hl=en\">See
                here</a></p>
        <p class=\"text-muted\">We use Google AdSense Advertising on our website.</p>
        <p class=\"text-muted\">Google, as a third-party vendor, uses cookies to serve ads on our site. Google's use of the DART cookie enables
            it to serve ads to our users based on previous visits to our site and other sites on the Internet. Users may
            opt-out of the use of the DART cookie by visiting the Google Ad and Content Network privacy policy.</p>
        <h4>We have implemented the following:</h4>
        <p class=\"text-muted\"><strong>•</strong>&nbsp;Remarketing with Google AdSense</p>
        <p class=\"text-muted\"><strong>•</strong>&nbsp;Google Display Network Impression Reporting</p>
        <p class=\"text-muted\"><strong>•</strong>&nbsp;Demographics and Interests Reporting</p>
        <p class=\"text-muted\"><strong>•</strong>&nbsp;DoubleClick Platform Integration</p>
        <p class=\"text-muted\">We, along with third-party vendors such as Google use first-party cookies (such as the Google Analytics cookies)
            and third-party cookies (such as the DoubleClick cookie) or other third-party identifiers together to compile
            data regarding user interactions with ad impressions and other ad service functions as they relate to our
            website.</p>
        <h4>Opting out:</h4>
        <p class=\"text-muted\">Users can set preferences for how Google advertises to you using the Google Ad Settings page. Alternatively, you
            can opt out by visiting the Network Advertising Initiative Opt Out page or by using the Google Analytics Opt Out
            Browser add on.</p>
        <h4>California Online Privacy Protection Act</h4>
        <p class=\"text-muted\">CalOPPA is the first state law in the nation to require commercial websites and online services to post a privacy
            policy. The law's reach stretches well beyond California to require any person or company in the United States
            (and conceivably the world) that operates websites collecting Personally Identifiable Information from
            California consumers to post a conspicuous privacy policy on its website stating exactly the information being
            collected and those individuals or companies with whom it is being shared. - <a
                href=\"http://consumercal.org/california-online-privacy-protection-act-caloppa/#sthash.0FdRbT51.dpuf\">See
                more</a></p>
        <h4>According to CalOPPA, we agree to the following:</h4>
        <p class=\"text-muted\">Users can visit our site anonymously.</p>
        <p class=\"text-muted\">Once this privacy policy is created, we will add a link to it on our home page or as a minimum, on the first
            significant page after entering our website.</p>
        <p class=\"text-muted\">Our Privacy Policy link includes the word 'Privacy' and can be easily be found on the page specified above.</p>
        <h4>You will be notified of any Privacy Policy changes:</h4>
        <p class=\"text-muted\">• On our Privacy Policy Page</p>
        <h4>Can change your personal information:</h4>
        <p class=\"text-muted\"><strong>•</strong> By logging in to your account</p>
        <h4>How does our site handle Do Not Track signals?</h4>
        <p class=\"text-muted\">We honor Do Not Track signals and Do Not Track, plant cookies, or use advertising when a Do Not Track (DNT)
            browser mechanism is in place.</p>
        <h4>Does our site allow third-party behavioral tracking?</h4>
        <p class=\"text-muted\">It's also important to note that we allow third-party behavioral tracking</p>
        <h4>COPPA (Children Online Privacy Protection Act)</h4>
        <p class=\"text-muted\">When it comes to the collection of personal information from children under the age of 13 years old, the
            Children's Online Privacy Protection Act (COPPA) puts parents in control. The Federal Trade Commission, United
            States' consumer protection agency, enforces the COPPA Rule, which spells out what operators of websites and
            online services must do to protect children's privacy and safety online.</p>
        <p class=\"text-muted\">We do not specifically market to children under the age of 13 years old.</p>
        <h4>Fair Information Practices</h4>
        <p class=\"text-muted\">The Fair Information Practices Principles form the backbone of privacy law in the United States and the concepts
            they include have played a significant role in the development of data protection laws around the globe.
            Understanding the Fair Information Practice Principles and how they should be implemented is critical to comply
            with the various privacy laws that protect personal information.</p>
        <h4>In order to be in line with Fair Information Practices we will take the following responsive action, should a
            data breach occur:</h4>
        <p class=\"text-muted\">We will notify you via email within 7 business days</p>
        <p class=\"text-muted\">We also agree to the Individual Redress Principle which requires that individuals have the right to legally
        pursue enforceable rights against data collectors and processors who fail to adhere to the law. This principle
        requires not only that individuals have enforceable rights against data users, but also that individuals have
        recourse to courts or government agencies to investigate and/or prosecute non-compliance by data processors.</p>";
        return compact('title', 'content');
    }

    private function termCondition()
    {
        $title = 'Term & Condition';
        $content = "<p class=\"text-muted\">Please read these Terms of Service carefully before using this site. This Agreement sets forth the legally
            binding terms and conditions for your use of this website.</p>
        <p class=\"text-muted\">By accessing or using the Site in any manner, including, but not limited to, visiting or browsing the Site or
            contributing content or other materials to the Site, you agree to be bound by these Terms of Service. Bolded
            terms are defined in this Agreement.</p>
        <h5>Intellectual Property</h5>
        <p class=\"text-muted\">The Site and its original content, features and functionality are owned and are protected by international
            copyright, trademark, patent, trade secret and other intellectual property or proprietary rights laws.</p>
        <h5>Termination</h5>
        <p class=\"text-muted\">We may terminate your access to the Site, without cause or notice, which may result in the forfeiture and
            destruction of all information associated with you. All provisions of this Agreement that by their nature should
            survive termination shall survive termination, including, without limitation, ownership provisions, warranty
            disclaimers, indemnity, and limitations of liability.</p>
        <h5>Links To Other Sites</h5>
        <p class=\"text-muted\">Our Site may contain links to third-party sites that are not owned or controlled.</p>
        <p class=\"text-muted\">We have no control over, and assumes no responsibility for, the content, privacy policies, or practices of any
            third party sites or services. We strongly advise you to read the terms and conditions and privacy policy of any
            third-party site that you visit.</p>
        <h5>Governing Law</h5>
        <p class=\"text-muted\">This Agreement (and any further rules, polices, or guidelines incorporated by reference) shall be governed and
            construed in accordance with the laws of United States, without giving effect to any principles of conflicts of
            law.</p>
        <h5>Changes To This Agreement</h5>
        <p class=\"text-muted\">We reserve the right, at our sole discretion, to modify or replace these Terms of Service by posting the updated
            terms on the Site. Your continued use of the Site after any such changes constitutes your acceptance of the new
            Terms of Service.</p>
        <p class=\"text-muted\">Please review this Agreement periodically for changes. If you do not agree to any of this Agreement or any
            changes to this Agreement, do not use, access or continue to access the Site or discontinue any use of the Site
            immediately.</p>";
        return compact('title', 'content');
    }
}
