@extends(get_theme().'.components.layouts')

@section('content')
<div class="jumbo-hero" style="background-image:url({{ asset_theme('assets/bg.jpg') }})">
    <div class="container">
        <div class="jumbo-hero__inner">
            <h1 class="header">{{ __('section.title.home_1') }}</h1>
            <h3 class="text-large">{{ __('section.title.home_2') }}</h3>
            <a href="{{ mopie_route('loading', ['title' => 'subscribe_to_watch', 'action' => 'register']) }}" class="btn btn-outline-theme btn-lg mt-2 omh-goTo">{{ __('section.title.subscribe_to_watch') }}</a>
        </div>
    </div>
</div>

<section class="mopie-fade">
    <div class="container">
        <div class="row">
            <div class="col-12 mb-4 d-flex justify-content-between">
                <h3 class="h4">
                    <a href="{{ mopie_route('movie.popular') }}" class="section-title" title="{{ __('section.title.popular') }}">{{ __('section.title.popular') }} <i class="fa fa-angle-right ml-3" aria-hidden="true"></i></a>
                </h3>
            </div>
        </div>
        <div class="owl-carousel">
            @foreach (block_id_lists($movie_popular->results) as $item)
                @include(get_theme().'.components.item_movie', ['class' => ''])
            @endforeach
        </div>
        <div class="divider"></div>
        <div class="row">
            <div class="col-12 mb-4 d-flex justify-content-between">
                <h3 class="h4">
                    <a href="{{ mopie_route('movie.now.playing') }}" class="section-title" title="{{ __('section.title.now_playing') }}">{{ __('section.title.now_playing') }} <i class="fa fa-angle-right ml-3" aria-hidden="true"></i></a>
                </h3>
            </div>
        </div>
        <div class="owl-carousel">
            @foreach (block_id_lists($movie_now_playing->results) as $item)
                @include(get_theme().'.components.item_movie', ['class' => ''])
            @endforeach
        </div>
        <div class="divider"></div>
        <div class="row">
            <div class="col-12 mb-4 d-flex justify-content-between">
                <h3 class="h4">
                    <a href="{{ mopie_route('movie.upcoming') }}" class="section-title" title="{{ __('section.title.movie_upcoming') }}">{{ __('section.title.movie_upcoming') }} <i class="fa fa-angle-right ml-3" aria-hidden="true"></i></a>
                </h3>
            </div>
        </div>
        <div class="owl-carousel">
            @foreach (block_id_lists($movie_upcoming->results) as $item)
                @include(get_theme().'.components.item_movie', ['class' => ''])
            @endforeach
        </div>
        <div class="divider"></div>
        <div class="row">
            <div class="col-12 mb-4 d-flex justify-content-between">
                <h3 class="h4">
                    <a href="{{ mopie_route('movie.top.rated') }}" class="section-title" title="{{ __('section.title.movie_top_rated') }}">{{ __('section.title.movie_top_rated') }} <i class="fa fa-angle-right ml-3" aria-hidden="true"></i></a>
                </h3>
            </div>
        </div>
        <div class="owl-carousel">
            @foreach (block_id_lists($movie_top_rated->results) as $item)
                @include(get_theme().'.components.item_movie', ['class' => ''])
            @endforeach
        </div>
    </div>
</section>

<section class="py-5">
    <div class="container">
        <div class="row">
            <div class="col-12 mb-4 d-flex justify-content-between">
                <h3 class="h4">
                    <a href="{{ mopie_route('tv.popular') }}" class="section-title" title="{{ __('section.title.tv_popular') }}">{{ __('section.title.tv_popular') }} <i class="fa fa-angle-right ml-3" aria-hidden="true"></i></a>
                </h3>
            </div>
        </div>
        <div class="owl-carousel">
            @foreach (block_id_lists($tv_popular->results) as $item)
                @include(get_theme().'.components.item_tv', ['class' => ''])
            @endforeach
        </div>

        <div class="divider"></div>

        <div class="row">
            <div class="col-12 mb-4 d-flex justify-content-between">
                <h3 class="h4">
                    <a href="{{ mopie_route('tv.airing.to.day') }}" class="section-title" title="{{ __('section.title.tv_airing_today') }}">{{ __('section.title.tv_airing_today') }} <i class="fa fa-angle-right ml-3" aria-hidden="true"></i></a>
                </h3>
            </div>
        </div>

        <div class="owl-carousel">
            @foreach (block_id_lists($tv_airing_today->results) as $item)
                @include(get_theme().'.components.item_tv', ['class' => ''])
            @endforeach
        </div>

        <div class="divider"></div>

        <div class="row">
            <div class="col-12 mb-4 d-flex justify-content-between">
                <h3 class="h4">
                    <a href="{{ mopie_route('tv.on.the.air') }}" class="section-title" title="{{ __('section.title.tv_on_the_air') }}">{{ __('section.title.tv_on_the_air') }} <i class="fa fa-angle-right ml-3" aria-hidden="true"></i></a>
                </h3>
            </div>
        </div>
        <div class="owl-carousel">
            @foreach (block_id_lists($tv_on_the_air->results) as $item)
                @include(get_theme().'.components.item_tv', ['class' => ''])
            @endforeach
        </div>

        <div class="divider"></div>

        <div class="row">
            <div class="col-12 mb-4 d-flex justify-content-between">
                <h3 class="h4">
                    <a href="{{ mopie_route('tv.top.rated') }}" class="section-title" title="{{ __('section.title.tv_top_rated') }}">{{ __('section.title.tv_top_rated') }} <i class="fa fa-angle-right ml-3" aria-hidden="true"></i></a>
                </h3>
            </div>
        </div>
        <div class="owl-carousel">
            @foreach (block_id_lists($tv_top_rated->results) as $item)
                @include(get_theme().'.components.item_tv', ['class' => ''])
            @endforeach
        </div>
    </div>
</section>
@endsection